/*
 *
 *
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdlib.h>

#include "utils/dlist.h"

#include "tdm_common.h"
#include "tdm_object.h"
#include "tdm_log.h"

#include "tdm_module.h"

tdm_status_t tdm_init(void)
{
	tdm_status_t retval;

	tdm_log_init();

	if ((retval = tdm_load_modules()) != TDM_STATUS_SUCCESS) {
		tdm_error("Failed to load modules\n");
		return retval;
	}
	return TDM_STATUS_SUCCESS;
}

tdm_status_t tdm_exit(void)
{

	return TDM_STATUS_SUCCESS;
}
