/*
 *
 *
 */
#ifndef __TDM_PROTOCOL_H__
#define __TDM_PROTOCOL_H__

struct tdm_protocol_def {
	const char *name;
	const char *description;

	struct tdm_span_ops *span_ops;
};

/* aka "span type" */
#ifdef LIBTDM_INTERNAL
struct tdm_protocol {
	struct tdm_object   obj;

//	struct tdm_span_ops *ops;
	struct tdm_protocol_def *def;

	struct dlist_head   protocol_list;
};
#endif

tdm_status_t tdm_module_register_protocol(struct tdm_module *mod, const struct tdm_protocol_def *def);
tdm_status_t tdm_protocol_unregister(struct tdm_protocol *proto);

struct tdm_protocol *tdm_protocol_find(const char *name);

#endif /* __TDM_PROTOCOL_H__ */
