#include <stdlib.h>

#include <user.h>


int main(void)
{
	tdm_status_t retval = TDM_STATUS_GENERR;

	tdm_set_loglevel(TDM_LOG_DEBUG);

	if ((retval = tdm_init()) != TDM_STATUS_SUCCESS) {
		tdm_error("Failed to initialize libtdm\n");
		return retval;
	}

	tdm_list_modules();

	if (tdm_find_module("test") == NULL)
		tdm_error("Could not find module 'test' in registry\n");
	else
		tdm_info("Module 'test' found in registry\n");

	return tdm_exit();
}
